
QGIS Application - Bug report #1612

QGIS crashes when topological editing is enabled

2009-04-02 03:53 AM - Horst Düster

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category: Digitising

Affected QGIS version: Regression?: No

Operating System: RedHat Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11672

Description

1. enable topological editing

 2. Open a shape polygon layer

 3. Toggle in editing mode

 4. move a junction vertex of more then 2 polygons some times until QGIS crashes

 5. gdb gives the following output:

Program received signal SIGSEGV, Segmentation fault.

[Switching to Thread -1208362784 (LWP 5434)]

0x07a87c91 in QGraphicsSceneFindItemBspTreeVisitor::visit (this=0x9a71b70, items=0x9a9d31c)

    at ../../include/QtGui/private/../../../src/gui/graphicsview/qgraphicsitem.h:321

321     ../../include/QtGui/private/../../../src/gui/graphicsview/qgraphicsitem.h: File or directory not found

        in ../../include/QtGui/private/../../../src/gui/graphicsview/qgraphicsitem.h

Current language:  auto; currently c++

History

#1 - 2009-07-09 06:14 AM - Paolo Cavallini

Works for me (self compiled from trunk, Qt 4.5.1). Could you please test again with a fresh version from svn and let us know? Which Qt are you using?

#2 - 2009-07-09 11:22 AM - Giovanni Manghi

I also cannot replicate using qgis 1.2 compiled from trunk under ubuntu 9.04.

Please try a recent version and send feedback.

#3 - 2009-07-15 05:21 AM - Giovanni Manghi

http://lists.osgeo.org/pipermail/qgis-developer/2009-April/006615.html

Closing this ticket. Reopen if necessary.

#4 - 2009-07-15 05:24 AM - Giovanni Manghi

- Resolution set to fixed

- Status changed from Open to Closed
